#include "compiler.h"

// Honeywell MHC6352 2-Axis Compass driver

#define HMC6352_MODE_HEADING 0
#define HMC6352_MODE_RAW_X 1
#define HMC6352_MODE_RAW_Y 2
#define HMC6352_MODE_MAGNETOMETER_X 3
#define HMC6352_MODE_MAGNETOMETER_Y 4

BOOL HMCInit(void);
BOOL HMCGet(int *nAngle);
void HMCSetMode(byte bMode);
void HMCEnterCalibration(void);
void HMCExitCalibration(void);



