#include "compiler.h"

// Interface
void i2c_init(void);
BYTE i2c_write(unsigned char b);
BYTE i2c_read(unsigned char cont);
void i2c_start(void);
void i2c_stop(void);

// Internal operations
byte i2c_in_byte(void);
void i2c_out_byte(byte o_byte);
byte i2c_nack(void);
void i2c_ack(void);
void i2c_high_sda(void);
void i2c_low_sda(void);
void i2c_high_scl(void);
void i2c_low_scl(void);
